# R package name (pkg) version (ver) R release (rel) and RPM release (rel)
%define pkg ctest
%define ver 0.9
%define rrel 21
%define rel 4
%define __spec_install_post exit 0

Name: R-%{pkg}
Summary: Classical tests for R
Group: Applications/Engineering
Copyright: GPL
Packager: Martyn Plummer <plummer@iarc.fr>
Prefix: /usr
BuildRoot: %{_tmppath}/R-%{pkg}
Version: %{ver}.R%{rrel}
Release: %{rel}
Source: ftp://ftp.ci.tuwien.ac.at/pub/R/src/contrib/%{pkg}_%{ver}-%{rrel}.tar.gz
Requires: R-base
#Excludearch: sparc

%description
A collection of classical tests, including the Bartlett, Fisher,
Kruskal-Wallis, Kolmogorov-Smirnov, and Wilcoxon tests.

By Kurt Hornik <Kurt.Hornik@ci.tuwien.ac.at>

%prep
%setup -q -c

# --------------- Don't change anything below this line --------------

%build
#
mkdir --parents ${RPM_BUILD_ROOT}/usr/lib/R/library

# Some people leave object files in the source, which are not
# replaced. This removes them.
#
rm -f %{pkg}/src/*.o
rm -f %{pkg}/src/*.so

# Install it. You need R-base installed on your build machine for this
#
R INSTALL -l ${RPM_BUILD_ROOT}/usr/lib/R/library %{pkg}

# Doc files. There is no standard here, so we assume anything not in
# one of the standard directories is documentation.
#
mkdir doc
for docfile in `ls %{pkg}`; do
   case $docfile in
      INDEX) ;;
      TITLE) ;;
      R) ;;
      man) ;;
      src) ;;
      src-c) ;;      #deprecated
      data) ;;
      exec) ;;
      *) cp --recursive %{pkg}/${docfile} doc/;;
   esac
done

#Create file list
#
echo "%attr(-, root, root) /usr/lib/R/library/%{pkg}" > rpm-files
ls doc | sed "s@^@%attr(-,root,root) %doc doc/&@" >> rpm-files

%files -f rpm-files

%clean
rm -rf ${RPM_BUILD_ROOT}

%pre
if [ ! -f ${RPM_INSTALL_PREFIX}/lib/R/library/base/TITLE ] || \
   [ ! -x ${RPM_INSTALL_PREFIX}/lib/R/bin/LIBINDEX ]; then
   echo "Can't find R base in" ${RPM_INSTALL_PREFIX}/lib/R
   exit 1
fi

%post
${RPM_INSTALL_PREFIX}/bin/R LIBINDEX

%postun
if [ $1 = 0 ] ; then 
   ${RPM_INSTALL_PREFIX}/bin/R LIBINDEX
fi

%changelog
* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jun 16 2000 Than Ngo <than@redhat.de>
- rebuilt for 7.0
- clean up specfile
- remove excludearch sparc

* Tue Feb 08 2000 Tim Powers <timp@redhat.com>
- rebuilt against 0.90.1
- gzip man pages if there are any

* Mon Feb 07 2000 Tim Powers <timp@redhat.com>
- updated to 0.9-21 
- removed icon from header

* Mon Dec 6 1999 Tim Powers <timp@redhat.com>
- updated to 0.9-19

* Thu Jul 29 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1 on alpha and i386

* Wed Apr 21 1999 Michael K. Johnson <johnsonm@redhat.com>
- new version
- built for powertools, new group, etc.
